class Ranking
  attr_reader :names, :scores, :now

  def initialize
	@names = Array.new
	@scores = Array.new
	fp = File.new("rank.dat")
	fp.each_line { |line|
	  (name, score) = line.split(/\t/)
	  @names.push(name)
	  @scores.push(score.to_i)
	}
  end

  def save
	fp = File.new("rank.dat", "w")
	for i in 0...@names.size
	  fp.print "#{@names[i]}\t#{@scores[i]}\n"
	end
  end

  def isRankIn?(score)
	return score > @scores.last
  end

  def insert(name, score)
	@names.pop
	@scores.pop
	newNames = Array.new
	newScores = Array.new
	for i in 0...@names.size
	  if @scores[i] < score then
		newNames.push(name)
		newScores.push(score)
		score = -1
		@now = i
	  end
	  newNames.push(@names[i])
	  newScores.push(@scores[i])
	end
	@names = newNames
	@scores = newScores
  end

end
