require 'sdl'

class Text
  attr_reader :x, :y, :z, :r, :text, :blue, :sprite, :sz, :white
  attr_writer :sprite

  def set(x, y, z, sx, sy, sz, sr)
	@x = x
	@y = y
	@z = z
	@r = 0
	setSpeed(sx, sy, sz, sr)
  end

  def setSpeed(sx, sy, sz, sr)
	@sx = sx
	@sy = sy
	@sz = sz
	@sr = sr
  end

  def setWhite
	@white = true
  end

  def initialize(text, speed)
	@text = text
	@sz = speed
	@blue = (255-2550*(speed-0.03)).to_i
	if @blue < 0 then
	  @blue = 0
	end
	@z = 0
	@x = rand(300) + 50
	@y = rand(300) + 50
	@sx = (200 - @x) / 20 * speed
	@sy = (200 - @y) / 20 * speed
	@sz = speed
	@r = 0
	@sr = rand(4.01) - 2.0
	@sprite = 0
	@white = false
  end

  def move
	@z += @sz
	@x += @sx
	@y += @sy
	@r += @sr
  end

  def green
	return (20 - @z) * 10
  end

end
